.first-background {
    background-repeat: no-repeat;
    background-image: url(/images/home-background.png);
    background-position: center center;
    background-size: 1440px auto;
    width: 100%;
    height: 563px;
    overflow: hidden;
    z-index: -1;
}

.shuttle {
    height: 355px;
    background-image: url('/images/shuttle.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    position: relative;
    z-index: -1;
}

.top-section {
    height: auto;
    width: 100%;
    position: relative;
}

.top-text-section {
    top: 416px;
    position: absolute;
}

.top-text-section {
    margin-left: 175px;
}

.cases-see-more,
.our-services-button,
.top-text-button {
    text-decoration: none;
    padding: 12px 50px;
}

.top-text {
    max-width: 620px;
}

.top-text-title {
    max-width: 720px;
}

.cases-items-wrapper {
    scroll-behavior: smooth;
    position: relative;
}

.cases-items .case-item:last-child {
    width: 421px;
    padding-right: 16px;
}
.cases-items {
    display: flex;
}

.case-item {
    border-radius: 8px;
}

.left-case-button,
.right-case-button {
    cursor: pointer;
}

.cases-items-container {
    padding-left: 200px;
    width: calc(100% - 200px);
    padding-right: 100px;
    padding-top: 60px;
}

.contact-element-container,
.feedback-section,
.our-services-section,
.technology-section {
    padding-top: 100px;
}

.case-item {
    width: 405px;
}

.case-item-image {
    width: 405px;
    height: 235px;
    border: 1px solid #FF4B0A;
}

.cases-buttons-mobile {
    display: none;
}

.cases-buttons-desktop {
    display: flex;
}

.cases-see-more-div {
    margin-top: 100px;
    padding-bottom: 12px;
}

.our-services-section {
    padding-left: 100px;
    padding-right: 100px;
    display: flex;
    justify-content: flex-start;
    width: calc(100% - 200px);
    gap: 12%;
}

.our-services-title {
    width: 160px;
}

.our-services-content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.our-service {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #FFFFFF40;
    padding-top: 24px;
    padding-bottom: 24px;
}

.our-service:first-child {
    border-top: 1px solid #FFFFFF40;
}

.our-services-button-div {
    padding-bottom: 12px;
}

.industry-knowleges-section {
    padding-left: 100px;
    padding-right: 100px;
    width: calc(100% - 200px);
    overflow: visible;
    margin-top: -40px;
}

.industry-background {
    position: relative;
    top: 87px;
    left: -70px;
    height: 150px;
    background-image: url(/images/industry-background.png);
    background-repeat: no-repeat;
    background-size: contain;
    z-index: -1;
}

.industry-knowleges-title {
    max-width: 600px;
}

.industry-knowleges-description {
    max-width: 340px;
}

.industry-knowleges {
    display: flex;
    justify-content: center;
    gap: 15px;
    align-items: flex-start;
}

.industry-knowleges-first,
.industry-knowleges-second {
    display: flex;
    gap: 15px;
    align-items: flex-start;
    justify-content: center;
}

.industry-knowlege {
    height: 180px;
    width: 195px;
}

.industry-knowlege.to-bottom {
    margin-top: 25%;
}

.technologies-content {
    position: relative;
    max-width: 1100px;
    left: 50%;
    transform: translateX(-50%);
    margin-top: 35px;
}

.technologies {
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    gap: 0;
}

.technology-div {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px 0;
    border-bottom: 1px solid #FFFFFF40;
}

.technology {
    max-width: 110px;
}

.technology-div:not(:nth-child(8n))::after {
    content: "";
    position: absolute;
    right: 0;
    width: 1px;
    background-color: #FFFFFF40;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

.technology-div:nth-child(-n+8)::after {
    height: 30px;
    bottom: 0;
}

.technology-div:nth-child(n+9):nth-child(-n+16)::after {
    height: 30px;
    top: 0;
}

.technology-div:nth-child(n+1):nth-last-child(-n+8) {
    border-bottom: none;
}

.technology-title,
.technology-text {
    text-align: center;
}

.technology-div .technology {
    width: var(--tech-width);
    height: var(--tech-height);
}

.corner-icon {
    position: absolute;
    width: 16px;
    height: 16px;
}

.corner-icon.top-left {
    top: 0;
    left: -16px;
}

.corner-icon.top-right {
    top: 0;
    right: -16px;
}

.corner-icon.bottom-left {
    bottom: 0;
    left: -16px;
}

.corner-icon.bottom-right {
    bottom: 0;
    right: -16px;
}

.feedback-title {
    padding-left: 100px;
    margin-bottom: 50px;
    max-width: 385px;
}

.feedback {
    position: relative;
    flex: 0 0 300px;
    min-width: 300px;
    width: 300px;
    height: 389px;
    background: linear-gradient(to bottom, black 0%, black 60%, #FF4B0A 100%);
    border: 1px solid;
    border-image: linear-gradient(to bottom, #FF4B0A 40%, black 100%) 1;
    padding: 30px 25px;
}

.feedback::after {
    content: "";
    position: absolute;
    bottom: 0;
    right: 0;
    width: 100px;
    height: 100px;
    background: url('/images/feedback-background.png') no-repeat center center;
    background-size: contain;
}

.author-data {
    position: absolute;
    bottom: 20px;
}

.author-position {
    opacity: 0.23;
    font-size: 14px;
    line-height: 16px;
}

.feedback-wrapper {
    overflow-x: auto;
    display: flex;
    width: calc((300px * 4) + (16px * 3));
    margin: 0 auto;
    -ms-overflow-style: none;
}

.feedback-wrapper::-webkit-scrollbar {
    display: none;
}

.feedback-dots {
    gap: 10px;
}

.feedback-dot {
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background: #BFBFC1;
    cursor: pointer;
    transition: all 0.3s ease;
    opacity: 0.25;
}

.feedback-dot.active-dot {
    background: #FF4B0A;
    opacity: 1;
}

.about-section {
    padding-left: 100px;
    padding-top: 100px;
    padding-right: 100px;
    position: relative;
}

.about-content {
    max-width: calc(100% - 480px);
}

.about-content-with-background {
    position: relative;
}

.about-content-background {
    content: "";
    position: absolute;
    width: 473px;
    height: 470px;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    background: url('/images/about-background.png') no-repeat right center;
    z-index: -1;
    background-size: contain;
    background-attachment: local;
    pointer-events: none;
}

.about-title {
    text-align: center;
}

.about-quote,
.about-text {
    margin-bottom: 35px;
}

.about-learn-more-div {
    padding-bottom: 12px;
    padding-top: 12px;
}



.contact-element-container {
    padding: 100px;
}

@media (min-width: 1440px) {
    .first-background::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: linear-gradient(to right, rgba(0,0,0, 1) 0px, rgba(0,0,0,0) 70px, rgba(0,0,0,0) calc(100% - 70px), rgba(0,0,0, 1) 100%);
        pointer-events: none;
    }
}

@media (max-width: 1399px) {
    .industry-knowleges-section, .our-services-section, .cases-items-container {
        padding-right: 12px;
    }

    .feedback-wrapper {
        width: unset;
    }

    .about-content {
        max-width: calc(110% - 480px);
    }

    .about-content-background {
        right: -10%;
    }
}

@media (max-width: 1199px) {
    .top-text-section {
        width: 100%;
        margin-left: 0;
    }

    .feedback-title,
    .industry-knowleges-section,
    .our-services-section {
        width: auto;
        padding-left: 12px;
    }

    .cases-items-container {
        padding-left: 100px;
        margin-left: auto;
        width: unset;
        padding-right: 12px;
    }

    .about-section {
        padding-left: 12px;
        margin-top: 80px;
        padding-right: 12px;
        overflow: hidden;
    }

    .about-content {
        max-width: calc(120% - 480px);
    }

    .contact-element-container {
        padding: 100px 12px;
    }
}
@media (max-width: 991px) {
    .our-services-section {
        gap: 6%;
    }

    .industry-knowleges {
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }

    .industry-knowleges-first,
    .industry-knowleges-second {
        gap: 12.5%;
    }

    .industry-knowlege.to-bottom {
        margin-top: 12.5%;
    }

    .technologies-content {
        margin-top: 50px;
    }

    .technologies {
        grid-template-columns: repeat(4, 1fr);
    }

    .technology-div:nth-child(n+1):nth-last-child(-n+8) {
        border-bottom: 1px solid #FFFFFF40;
    }

    .technology-div:nth-child(n+1):nth-last-child(-n+4) {
        border-bottom: none;
    }

    .technology-div::after {
        display: none;
    }

    .technology-title,
    .technology-text {
        text-align: left;
    }

    .about-content-background {
        right: -210px;
    }

    .about-content {
        max-width: 520px;
    }
}

@media (max-width: 768px) {
    .shuttle {
        height: 246px;
    }

    .top-section {
        height: auto;
    }

    .top-text-section {
        top: 385px;
    }

    .cases-see-more,
    .our-services-button,
    .top-text-button {
        display: inline-block;
        text-align: center;
        width: 100%;
    }

    .case-item {
        width: 313px;
        height: 310px;
    }

    .case-item-image {
        max-width: 313px;
        height: 198px;
    }

    .cases-buttons-desktop {
        display: none;
    }

    .cases-buttons-mobile {
        display: flex;
        float: right;
    }

    .cases-see-more-div {
        margin-top: 110px;
    }

    .cases-items-container {
        padding-left: 12px;
        padding-right: 12px;
    }

    .our-services-section {
        flex-direction: column;
    }

    .our-services-title {
        width: unset;
        padding-bottom: 35px;
    }

    .industry-knowleges,
    .industry-knowleges-first,
    .industry-knowleges-second {
        flex-direction: column;
        gap: 30px;
    }

    .industry-knowlege.to-bottom {
        margin-top: unset;
    }

    .technology-div .technology {
        width: calc(var(--tech-width) * 0.8);
        height: calc(var(--tech-height) * 0.8);
    }

    .about-section,
    .feedback-section,
    .our-services-section,
    .technology-section {
        padding-top: 80px;
    }

    .feedback-title {
        padding-left: unset;
        margin-bottom: 25px;
    }

    .feedback-dots {
        gap: 20px;
    }

    .about-quote,
    .about-text {
        margin-bottom: 25px;
    }

    .contact-element-container {
        padding: 80px 12px 40px 12px;
    }

    .about-content-background {
        right: -270px;
        top: 10%;
    }

    .about-title {
        text-align: left;
    }

    .about-quote {
        max-width: 400px;
    }

}

@media (max-width: 576px) {
    .industry-background {
        left: -35px;
    }

    .corner-icon.top-left {
        top: -16px;
        left: 0;
    }

    .corner-icon.top-right {
        top: -16px;
        right: 0;
    }

    .corner-icon.bottom-left {
        bottom: -16px;
        left: 0;
    }

    .corner-icon.bottom-right {
        bottom: -16px;
        right: 0;
    }

    .about-learn-more {
        display: inline-block;
        text-align: center;
        width: 100%;
    }

    .about-quote {
        max-width: calc(100% - 73px);
        letter-spacing: -1px;
    }

    .about-title {
        letter-spacing: -1px;
    }
}